twitter4j.api

## Interface SearchResourceAsync

All Known Subinterfaces:
  AsyncTwitter

    public interface SearchResourceAsync

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `search(Query query)` Returns tweets that match a specified query.

### Method Detail

#### search

    void search(Query query)

Returns tweets that match a specified query.
This method calls http://search.twitter.com/search.json

Parameters:
  `query` - - the search condition
Since:
  Twitter4J 1.1.7
See Also:
  GET search | Twitter Developers, Twitter API / Search Operators